package fr.craft.kata.domain;

public record Lastname(String lastname)
    implements Comparable<Lastname> {
  public Lastname(String lastname) {
    assertLastname(lastname);

    this.lastname = lastname.toUpperCase();
  }

  private void assertLastname(String lastname) {
    if (lastname == null || lastname.isBlank()) {
      throw new IllegalArgumentException(
          "You can't have a null lastname");
    }
  }

  public String get() {
    return lastname();
  }

  @Override
  public int compareTo(Lastname other) {
    return lastname().compareTo(other.lastname());
  }
}
