package fr.craft.kata.domain;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;

class LastnameUnitTest {

  @Test
  void shouldNotBuildWithoutLastname() {
    assertThatThrownBy(() -> new Lastname(null))
        .isExactlyInstanceOf(IllegalArgumentException.class)
        .hasMessageContaining("lastname");
  }

  @Test
  void shouldNotBuildWithBlankLastname() {
    assertThatThrownBy(() -> new Lastname(" "))
        .isExactlyInstanceOf(IllegalArgumentException.class)
        .hasMessageContaining("lastname");
  }

  @Test
  void shouldGetUpperCaseLastname() {
    assertThat(new Lastname("Dupond").get())
        .isEqualTo("DUPOND");
  }

}
